/**
 @param img Une image du flux vidéo
 @param seuil valeur seuil pour la binarisation
 @return une image noir et blanc à partir d'une image couleur du flux vidéo
 */
PImage binarisation(PImage img, int seuil) {
  opencv = new OpenCV(this, img);  
  opencv.gray();
  opencv.erode();
  opencv.threshold(seuil);
  opencv.erode();
  opencv.erode();
  return opencv.getOutput();
}

