//Pas de minimax pour l'instant mais on cherche juste à savoir
//si le coup suivant peut-être gagnant ou perdant ou les deux.
/**
 @param jeu Tableau du jeu dans l'état en cours
 @param joueur dont c'est le tour
 @return l'indice de position du coup gagnant s'il existe, l'indice de position du coup pour ne pas
 perdre s'il existe, sinon on teste la possibilité de jouer au centre ou dans un coin, au pire on tire
 une valeur au hasard parmi les cases vides 
 
 */
int meilleurCoup(int[] jeu, int joueur) {
  int[] coups = coupPossible(jeu);
  int[] njeu = new int[9];
  int[] pg = { 
    -1, -1
  }; 

  for (int i=0; i<coups.length; i++) { //pour tous les coups possibles
    for (int j=1; j<3; j++) { //pour chaque joueur (1 et 2)
      System.arraycopy(jeu, 0, njeu, 0, 9); //on utilise une copie du jeu
      play(njeu, coups[i], j); //On joue
      if (isWin(njeu)) //et on regarde ce qui se passe
        if (j==joueur)
          pg[0] = coups[i]; //on idique la possibilité de gagner
        else
          pg[1] = coups[i]; //la possibilité de perdre
    }
  }
  if (pg[0] != -1 && pg[1] != -1)
    return pg[0]; //renvoie le coup gagnant
  if (pg[0] != -1) {
    return pg[0];
  }
  if (pg[1] != -1) {
    return pg[1];
  }
  if (jeu[4] == 0)
    return 4;
  for (int i=0; i<8; i = i+2)
    if (jeu[i]==0)
      return i; // on prend le premier coin disponible
  int c = int(random(0, 8));
  while (!isEmpty (jeu, c)) //au pire on tire une case au hasard
    c= int(random(0, 8));
  return c;
}

