/**
Cette méthode permet d'envoyer au client (Snap!) le prochain coup à jouer
par le robot.
@param pos Réponse de l'ordinateur du prochain coup à jouer
*/
void serverHTTP(String pos) {
  // Get the next available client
  Client thisClient = myServer.available();
  // If the client is not null, and says something, display what it said
  if (thisClient !=null) {
    String whatClientSaid = thisClient.readString();
    if (whatClientSaid != null) {
      myServer.write("HTTP/1.0 200 OK\n");
      myServer.write("Content-Type : text/html\n");
      myServer.write("Access-Control-Allow-Origin: *\n\n");
      myServer.write(pos);
      myServer.disconnect(thisClient);
    }
  }
}
