/**
 Fonction pour tester le projet
 
 Quand on appuie sur la barre d'espace on capture une image du flux vidéo pour calculer
 - Les positions des centres des cases
 - Les positions des centres des pions
 - Trier puis afficher l'ordre des cases sur une image binariser dans la fenêtre Processing
 
 */
void keyPressed() {
  testerJeuAvecCamera();
}

void keyReleased() {
  loop();
}

void drawContour(Contour c, color cl) {
  noFill();
  strokeWeight(3);
  stroke(cl);
  c.draw();
}

void testerJeuAvecCamera() {
  img_jeu = binarisation(img_jeu, 150);
  image(img_jeu, 0, 0);

  ArrayList<PVector> centers_boxes = getCentersObjects(false);
  centers_boxes = sortPoints(centers_boxes);  
  ArrayList<PVector> centers_pieces = getCentersObjects(true); 
  int[] njeu = getPositionsPieces(centers_pieces, centers_boxes);
  for (int i=0; i<njeu.length; i++)
    if (jeu[i]==0 && jeu[i]!=njeu[i]) {
      play(jeu, i, joueur);//mise a jour du jeu
      joueur = 2 / joueur;//on change de joueur
    }
  afficheJeu(jeu);
  if (joueur==2) {
    println("meilleur coup pour le joueur "+ joueur);
    int mc = meilleurCoup(jeu, joueur);
    println(mc);
    pos = Integer.toString(mc+1);
  }
  drawBoxesNumbers(centers_boxes);
  noLoop();
}

